Name: khordpro
Summary: KhordPro is a viewer for ChordPro files
Version: 0.2
Release: 1mdk
Source: khordpro-%PACKAGE_VERSION.tar.gz
Group: KDE/Applications
BuildRoot: /var/tmp/build-root-%{name}
Copyright: GPL
Vendor: Matteo Merli/Alessandro Vernassa
Packager: Alessandro Vernassa <speleoalex@libero.it>
Url: http://digilander.iol.it/merlim/khordpro/
Prefix: /usr

%description
-
%prep
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
%setup -q
%build
./configure --prefix=$RPM_BUILD_ROOT/%{prefix}/ --with-install-root=$RPM_BUILD_ROOT/%{prefix}/
make
%install
make
make install
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/applnk/Applications/
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/applnk-mdk/Applications/Publishing/

mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/icons/hicolor/16x16/apps/
mkdir -p $RPM_BUILD_ROOT/%{prefix}/share/icons/hicolor/32x32/apps/


#collegamenti
cp $RPM_BUILD_DIR/khordpro-%PACKAGE_VERSION/khordpro/khordpro.desktop $RPM_BUILD_ROOT/%{prefix}/share/applnk/Applications/khordpro.desktop
cp $RPM_BUILD_DIR/khordpro-%PACKAGE_VERSION/khordpro/khordpro.desktop $RPM_BUILD_ROOT/%{prefix}/share/applnk-mdk/Applications/Publishing/khordpro.desktop
#icone
cp $RPM_BUILD_DIR/khordpro-%PACKAGE_VERSION/khordpro/lo16-app-khordpro.png $RPM_BUILD_ROOT/%{prefix}/share/icons/hicolor/16x16/apps/khordpro.png
cp $RPM_BUILD_DIR/khordpro-%PACKAGE_VERSION/khordpro/lo32-app-khordpro.png $RPM_BUILD_ROOT/%{prefix}/share/icons/hicolor/32x32/apps/khordpro.png

cp $RPM_BUILD_DIR/khordpro-%PACKAGE_VERSION/khordpro/cpm.pl $RPM_BUILD_ROOT/%{prefix}/bin/cpm

chmod 755 $RPM_BUILD_ROOT/%{prefix}/bin/cpm

cd $RPM_BUILD_ROOT

find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files
%doc COPYING AUTHORS INSTALL ChangeLog README
%{prefix}/bin/khordpro
%{prefix}/bin/cpm
%{prefix}/bin/khordpro
%{prefix}/bin/cpm
%{prefix}/share/icons/hicolor/16x16/apps/khordpro.png
%{prefix}/share/icons/hicolor/32x32/apps/khordpro.png
#%{prefix}/share/icons/hicolor/48x48/apps/khordpro.png
%{prefix}/share/applnk/Applications/khordpro.desktop
%{prefix}/share/applnk-mdk/Applications/Publishing/khordpro.desktop

%defattr(-,root,root,0755)
